JULIA(1)

NAME
julia - high-level, high-performance dynamic programming language for technical computing

SYNOPSIS
julia [option] [program] [args..]

DESCRIPTION
Julia is a high-level, high-performance dynamic programming language for technical computing, with syntax that is familiar to users of other technical computing environments. It provides a sophisticated compiler, distributed parallel execution, numerical accuracy, and an extensive mathematical function library. The library, largely written in Julia itself, also integrates mature, best-of-breed C and Fortran libraries for linear algebra, random number generation, signal processing, and string processing. In addition, the Julia developer community is contributing a number of external packages through Julia's built-in package manager at a rapid pace. Julia programs are organized around multiple dispatch; by defining functions and overloading them for different combinations of argument types, which can also be user-defined. For a more in-depth discussion of the rationale and advantages of Julia over other systems, please see the online manual: http://docs.julialang.org/en/latest/manual/

COMMAND-LINE OPTIONS

-v --version
    Display version information

-q --quiet
    Quiet startup without banner

--color=<yes|no>
    Turn colored prompts on (yes) and off (no).

-H --home <dir>
    Load files relative to <dir>

-T --tab <size>
    Set REPL tab width to <size>

-e --eval <expr>
    Evaluate <expr>

-E --print <expr>
    Evaluate and show <expr>

-P --post-boot <expr>
    Evaluate <expr> right after boot

-L --load file
    Load <file> right after boot on all processors

-J --sysimage file
    Start up with the given system image file

-p n
    Run n local processes

--machinefile file
    Run processes on hosts listed in file

--no-history
    Don't load or save history

-f --no-startup
    Don't load ~/.juliarc.jl

-F  Load ~/.juliarc.jl, then handle remaining inputs

-h --help
    Print a help message displaying command-line arguments

BUGS
Please report any bugs using the GitHub issue tracker: https://github.com/julialang/julia/issues?state=open

AUTHORS
Contributors: https://github.com/JuliaLang/julia/graphs/contributors